Package org.springframework.security.crypto.codec

## Class Hex

- java.lang.Object
- - org.springframework.security.crypto.codec.Hex

    public final class Hex
    extends java.lang.Object

Hex data encoder. Converts byte arrays (such as those obtained from message digests) into hexadecimal string representation.

For internal use only.

Since:
  3.0

### Method Summary

All Methods Static Methods Concrete Methods
`static byte[]` `decode​(java.lang.CharSequence s)`
`static char[]` `encode​(byte[] bytes)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### encode

    public static char[] encode​(byte[] bytes)

#### decode

    public static byte[] decode​(java.lang.CharSequence s)